from django.conf import settings
from django.conf.urls.static import static
from django.urls import path

from .views import home, submission_detail, fa_user_page, fa_users, fa_tags, tag_details, fa_config, fa_import, simple_upload, search_results, stream_task_output, stream_datetime, stats


app_name = "fa"
urlpatterns = [
    path('fa/', home, name="home"),
    path('fa/sup', simple_upload, name="simple_upload"),
    path('fa/config', fa_config, name="config"),
    path("fa/import", fa_import, name="import"),
    path("fa/stats", stats, name="stats"),
    path("fa/stream_datetime", stream_datetime, name=""),
    path('fa/stream_task_output/<str:task_id>/', stream_task_output, name='stream_task_output'),
    path('fa/search_results', search_results, name='search_results'),
    path('fa/view/<int:submission_id>', submission_detail, name="submission_detail"),
    path('fa/users', fa_users, name="user_list"),
    path('fa/user/<str:fa_user>', fa_user_page, name="user_page"),
    path('fa/tags', fa_tags, name="tags"),
    path('fa/tag/<str:tag>', tag_details, name="tag_details"),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)